package progetto;

import java.util.HashSet;

import org.neo4j.graphdb.Node;

import wrapper.GraphWrapper;

public class InserisciCategorieStrumentali {
	//inserisce le categorie usate per creare le macrocategorie
	public static void main(String argc[]){


		GraphWrapper g=new GraphWrapper("wp_semantico");


		HashSet<String> arrivi=new HashSet<String>();

		arrivi.add("Agriculture");


		//utilizzo delle proprietà idcat non coincidenti con quelle già presenti
		Node n=g.createNode();

		n.setProperty("name", "Culture and the arts");
		n.setProperty("idcat", "400000001");		

		g.indicizza(n, "name", "Culture and the arts");
		g.indicizza(n, "idcat", "400000001");

		g.categorizzaIn(g.getCategoria("Arts"),n);
		g.categorizzaIn(g.getCategoria("Culture"),n);
		g.categorizzaIn(g.getCategoria("Humanities"),n);


		arrivi.add("Belief");
		arrivi.add("Business");
		arrivi.add("Computing");

		arrivi.add("Education");

		arrivi.add("Geography");
		arrivi.add("Health");
		arrivi.add("History");

		arrivi.add("Language");
		arrivi.add("Law");

		arrivi.add("Mathematics");


		n=g.createNode();

		n.setProperty("name", "Nature and environment");
		n.setProperty("idcat", "400000002");		

		g.indicizza(n, "name", "Nature and environment");
		g.indicizza(n, "idcat", "400000002");

		g.categorizzaIn(g.getCategoria("Environment"),n);
		g.categorizzaIn(g.getCategoria("Nature"),n);


		arrivi.add("People");


		n=g.createNode();

		n.setProperty("name", "Politics and society");
		n.setProperty("idcat", "400000003");		

		g.indicizza(n, "name", "Politics and society");
		g.indicizza(n, "idcat", "400000003");

		g.categorizzaIn(g.getCategoria("Politics"),n);
		g.categorizzaIn(g.getCategoria("Society"),n);


		arrivi.add("Science");

		arrivi.add("Sport");



		n=g.createNode();

		n.setProperty("name", "Technology and applied sciences");
		n.setProperty("idcat", "400000004");		

		g.indicizza(n, "name", "Technology and applied sciences");
		g.indicizza(n, "idcat", "400000004");

		g.categorizzaIn(g.getCategoria("Technology"),n);
		g.categorizzaIn(g.getCategoria("Applied sciences"),n);



		n=g.createNode();

		n.setProperty("name", "Geography and places");
		n.setProperty("idcat", "400000004");		

		g.indicizza(n, "name", "Geography and places");
		g.indicizza(n, "idcat", "400000004");

		g.categorizzaIn(g.getCategoria("Geography"),n);
		g.categorizzaIn(g.getCategoria("Places"),n);


		n=g.createNode();

		n.setProperty("name", "History and events");
		n.setProperty("idcat", "400000005");		

		g.indicizza(n, "name", "History and events");
		g.indicizza(n, "idcat", "400000005");

		g.categorizzaIn(g.getCategoria("History"),n);
		g.categorizzaIn(g.getCategoria("Events"),n);
		g.commit();

		g.termina();
	}
}
