package progetto;

import java.io.IOException;

import org.neo4j.graphdb.Node;
import org.neo4j.graphdb.Relationship;

import utilities.Scrittore;
import wrapper.GraphWrapper;

public class RigeneraIndice {

	public static void main(String argc[]) throws IOException{
		GraphWrapper g=new GraphWrapper("wp_semantico");
		int conta=0;
		Scrittore s=new Scrittore("uncategorized.txt");
		for(Node n:g.getAllNodes()){
			conta++;
			if(!n.hasProperty("name"))continue;
			boolean categorizzato=false;
			for(Relationship r:n.getRelationships())
				categorizzato=true;
			if(!categorizzato) s.scrivi((String) n.getProperty("name"));
			//			if(n.getProperty("name").equals("Java"))
			//				System.out.println("TROVATO!!!! Java, lo indicizzo:"+n.getPropertyKeys());
			//			g.indicizza(n,"name",n.getProperty("name"));
			//			if(n.hasProperty("idcat"))
			//				g.indicizza(n,"idcat",n.getProperty("idcat"));
			//			if(n.hasProperty("idpag"))
			//				g.indicizza(n,"idpag",n.getProperty("idpag"));
			if(conta%1000==0) System.out.println(conta+" indicizzo "+n.getProperty("name"));
		}
		s.chiudi();
		g.termina();

	}

}
