package progetto;

import java.io.File;
import java.io.IOException;
import java.util.HashSet;

import org.neo4j.graphdb.Node;

import utilities.Scrittore;
import wrapper.GraphWrapper;

public class RimuoviRedirectEDisambigue {

	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException {
		GraphWrapper g=new GraphWrapper("wp_semantico");
		Scrittore dis=new Scrittore("disambigue.txt");
		Scrittore red=new Scrittore("redirects.txt");

		boolean interrotto=false;
		int azioni=0;
		for(Node n:g.getAllNodes()){
			azioni++;
			//riga per riprendere il lavoro
			if(azioni<3535000) continue;
			if(azioni%1000==0){
				g.commit();
				System.out.println(azioni);
				if(new File("blocca.txt").exists()){interrotto = true;break;}

			}

			//			if (!n.getRelationships().iterator().hasNext()){
			//				if(n.hasProperty("name")){ System.out.println("elimino il nodo orfano "+n.getProperty("name"));
			//				red.scrivi(n.getProperty("name").toString());
			//				g.elimina(n);
			//				continue;
			//				}
			//			}

			if(!n.hasProperty("idpag")) continue;
			boolean disambigua=false;

			for(Node cat:g.getCategorieAppartenenza(n)){
				if (cat.getProperty("name").toString().contains("isambiguation")){disambigua=true;continue;}
			}

			if (disambigua){
				System.out.println("DISAMBIGUA:"+n.getProperty("idpag")+">"+n.getProperty("name"));
				dis.scrivi(n.getProperty("idpag")+">"+n.getProperty("name"));
				g.elimina(n);	
			}


		}

		if(interrotto) System.out.println("Programma interrotto manualmente");

		g.termina();
		dis.chiudi();
		red.chiudi();



		//ora elimino le categorie di disambiguazione
		g = new GraphWrapper("wp_semantico");
		azioni=0;
		interrotto=false;

		for(Node n:g.getAllNodes()){

			azioni++;
			//riga per riprendere il lavoro
			if(azioni<0) continue;
			if(azioni%1000==0){
				g.commit();
				System.out.println(azioni);
				if(new File("blocca.txt").exists()){interrotto = true;break;}

			}

			if(n.hasProperty("idcat"))
				if(n.getProperty("name").toString().contains("isambiguation")){
					System.out.println("elimino "+n.getProperty("name"));
					g.elimina(n);
				}
		}
		if(interrotto) System.out.println("Programma interrotto manualmente");

		g.termina();
	}

}
