package batch;

import java.util.HashMap;
import java.util.Map;

import org.neo4j.graphdb.Direction;
import org.neo4j.graphdb.GraphDatabaseService;
import org.neo4j.graphdb.Node;
import org.neo4j.graphdb.Relationship;
import org.neo4j.graphdb.RelationshipType;
import org.neo4j.graphdb.ReturnableEvaluator;
import org.neo4j.graphdb.StopEvaluator;
import org.neo4j.graphdb.Transaction;
import org.neo4j.graphdb.TraversalPosition;
import org.neo4j.graphdb.Traverser;
import org.neo4j.kernel.EmbeddedGraphDatabase;

public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		Map<Integer,String> prova=new HashMap<Integer,String>();
		
		for (int x=0; x<40000000;x++){
		if(x%100==0) System.out.println(x);
		prova.put(new Integer((int)(Math.random()*453454356)), "d");
		}
		
		
		//creo il database
		GraphDatabaseService graphDb = new EmbeddedGraphDatabase( "/home/jacopo/testneo4j" );


		//il primo nodo lo tengo fuori dalla transazione per utilizzarlo nell'attraversatore
		Node numero;


		//debbo usare una transazione per fare le cose bene (non in batch)
		Transaction tx = graphDb.beginTx();

		try
		{
			//qui vanno le operazioni da fare

			numero = graphDb.createNode();

			numero.setProperty("valore", Double.toString((Math.random()*200)));

			Node attuale,nuovo;

			attuale=numero;
			for (int a=0;a<40000000;a++){
				if (a%10000==0) System.gc();
				System.out.println(a);
				nuovo=graphDb.createNode();
				nuovo.setProperty("valore", Double.toString((Math.random()*200)));

				if (Double.parseDouble((String) nuovo.getProperty("valore"))
						>Double.parseDouble((String)attuale.getProperty("valore"))){
					nuovo.createRelationshipTo( attuale, MyRelationshipTypes.MAGGIORE );
					attuale.createRelationshipTo(nuovo, MyRelationshipTypes.MINORE );

				}
				else{
					nuovo.createRelationshipTo(attuale, MyRelationshipTypes.MINORE );
					attuale.createRelationshipTo(nuovo, MyRelationshipTypes.MAGGIORE );
				}
				
				attuale=nuovo;
			}



			tx.success();

			//effettuo una ricerca

		}
		finally
		{
			//la transazione andrà finita comunque

			tx.finish();

		}


		tx = graphDb.beginTx();
		
		for( Node n:graphDb.getAllNodes()){
			for(Relationship r:n.getRelationships()){
				if (r.getType()==MyRelationshipTypes.MAGGIORE){
					System.out.println(numero.getProperty("valore")+" è maggiore di "+
							r.getEndNode().getProperty("valore"));
				}
				if (r.getType()==MyRelationshipTypes.MINORE){
					System.out.println(numero.getProperty("valore")+" è minore di "+
							r.getEndNode().getProperty("valore"));
				}

			}

			
		}
		tx.success();
		
		
		graphDb.shutdown();


	}

}


enum MyRelationshipTypes implements RelationshipType{
	MAGGIORE,MINORE
}