package progetto;
import java.io.IOException;
import java.util.HashMap;
import java.util.HashSet;

import utilities.Lettore;
import utilities.Scrittore;
import utilities.User;

public class QuizAssegnamentoMaggioritario {


	public static void main(String argc[]) throws IOException{
		//seleziono una riga dal file delle classificazioni e chiedo all'utente dove la classificherebbe
		int scelta;
		HashSet<String> arrivi=new HashSet<String>();

		arrivi.add("Agriculture");

		arrivi.add("Culture");
		arrivi.add("Arts");

		arrivi.add("Belief");
		arrivi.add("Business");
		arrivi.add("Computing");
		arrivi.add("Education");
		arrivi.add("Geography and places");
		arrivi.add("Health");
		arrivi.add("History and events");
		arrivi.add("Language");
		arrivi.add("Law");
		arrivi.add("Mathematics");
		arrivi.add("Environment");
		arrivi.add("People");

		arrivi.add("Politics");
		arrivi.add("Society");

		arrivi.add("Philosophy");

		arrivi.add("Science");
		arrivi.add("Technology and applied sciences");
		arrivi.add("Sports");


		//opzione per saltare la domanda
		arrivi.add("SALTA");

		String opzioni=arrivi.toString();
		opzioni=opzioni.replaceAll(", ", ";");
		opzioni=opzioni.replace("[", "");
		opzioni=opzioni.replace("]", "");


		int assegnati=0;
		Scrittore q=new Scrittore("quiz_maggioritario.txt");
		Lettore c=new Lettore("assegnamento_maggioritario.txt");
		int conteggio=0;
		while(c.leggi()!=null) conteggio++;
		c.chiudi();
		System.out.println("Ci sono "+conteggio+" assegnamenti");

		while(true){
			try{

				Lettore l=new Lettore("assegnamento_maggioritario.txt");
				scelta=(int)((float)Math.random()*(float)conteggio);
				for(int x=0;x<scelta;x++)l.leggi();
				String domanda=l.leggi();
				String risposta=User.scegliOpzione(opzioni, domanda.split(">")[1]);
				if (risposta.equals("SALTA")) continue;
				if (risposta.equals("")) continue;

				if (risposta.equals("END")) break;
				assegnati++;
				System.out.println(assegnati+" assegnati");



				int correlazione=0;
				if(risposta.equalsIgnoreCase(domanda.split(">")[2])) correlazione=1;
				String esito=domanda+">>"+risposta+"#"+domanda.split(">")[1]+"#"+correlazione;
				q.scrivi(esito);
				System.out.println(esito);
			}
			catch(Exception e){
				e.printStackTrace();
			}

		}
		q.chiudi();


	}

}
